using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;
using System;
using System.Collections.Generic;
using System.Data;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFaturaAPIA
    {
        public IList<entidadeTempFaturaAPIA> ConvertDataTableToEntity(DataTable dt)
        {

            var lstTempFaturaAPIA = new List<entidadeTempFaturaAPIA>();

            regraNegocioGlobal regranegocioGlobal = null;

            try
            {

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaAPIA = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaAPIA>(dt);

                return lstTempFaturaAPIA;
            }
            catch (Exception)
            {
                throw;
            }
        }
    }
}
